# Backups

Volume backup management

## List backups

> Lists all Block Storage backups

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"backups","description":"Volume backup management"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"parameters":{"AllTenantsQuery":{"name":"all_tenants","description":"Shows details for all project. Admin only.","schema":{"type":"string"},"in":"query"},"SortQuery":{"name":"sort","description":"Comma-separated list of sort keys and optional sort directions","schema":{"type":"string"},"in":"query"},"SortKeyQuery":{"name":"sort_key","description":"Sorts by an attribute","schema":{"type":"string"},"in":"query"},"SortDirQuery":{"name":"sort_dir","description":"Sorts by direction (asc or desc)","schema":{"enum":["asc","desc"],"type":"string"},"in":"query"},"LimitQuery":{"name":"limit","description":"Requests a page size of items","schema":{"minimum":1,"type":"integer"},"in":"query"},"OffsetQuery":{"name":"offset","description":"Used in conjunction with limit to return items starting from the offset position","schema":{"minimum":0,"type":"integer"},"in":"query"},"MarkerQuery":{"name":"marker","description":"The ID of the last-seen item","schema":{"type":"string"},"in":"query"},"WithCountQuery":{"name":"with_count","description":"Whether to show count in response (microversion 3.45+)","schema":{"type":"boolean"},"in":"query"}},"schemas":{"BackupsSimple":{"type":"object","properties":{"backups":{"type":"array","items":{"$ref":"#/components/schemas/BackupSimple"}},"backups_links":{"type":"array","items":{"$ref":"#/components/schemas/Link"}},"count":{"description":"Total count of backups (microversion 3.45+)","type":"integer"}}},"BackupSimple":{"type":"object","properties":{"id":{"format":"uuid","description":"The UUID of the backup","type":"string"},"name":{"nullable":true,"description":"The backup name","type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/Link"}}}},"Link":{"type":"object","properties":{"href":{"format":"uri","type":"string"},"rel":{"type":"string"},"type":{"type":"string"}}}}},"paths":{"/v3/backups":{"get":{"tags":["backups"],"parameters":[{"$ref":"#/components/parameters/AllTenantsQuery"},{"$ref":"#/components/parameters/SortQuery"},{"$ref":"#/components/parameters/SortKeyQuery"},{"$ref":"#/components/parameters/SortDirQuery"},{"$ref":"#/components/parameters/LimitQuery"},{"$ref":"#/components/parameters/OffsetQuery"},{"$ref":"#/components/parameters/MarkerQuery"},{"$ref":"#/components/parameters/WithCountQuery"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BackupsSimple"}}},"description":"OK"}},"summary":"List backups","description":"Lists all Block Storage backups"}}}}
```

## Create backup

> Creates a volume backup

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"backups","description":"Volume backup management"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"schemas":{"BackupCreateRequest":{"type":"object","properties":{"backup":{"required":["volume_id"],"type":"object","properties":{"volume_id":{"format":"uuid","description":"The UUID of the source volume","type":"string"},"name":{"description":"The backup name","type":"string"},"description":{"description":"The backup description","type":"string"},"container":{"description":"Backup container","type":"string"},"incremental":{"description":"Create incremental backup","type":"boolean"},"force":{"description":"Create backup even if volume is in-use","type":"boolean"},"snapshot_id":{"format":"uuid","description":"The UUID of the source snapshot","type":"string"},"availability_zone":{"description":"The availability zone for the backup","type":"string"}}}}},"BackupResponse":{"type":"object","properties":{"backup":{"$ref":"#/components/schemas/Backup"}}},"Backup":{"type":"object","properties":{"id":{"format":"uuid","description":"The UUID of the backup","type":"string"},"name":{"nullable":true,"description":"The backup name","type":"string"},"description":{"nullable":true,"description":"The backup description","type":"string"},"volume_id":{"format":"uuid","description":"The UUID of the source volume","type":"string"},"snapshot_id":{"nullable":true,"format":"uuid","description":"The UUID of the source snapshot","type":"string"},"status":{"description":"The backup status","type":"string"},"size":{"description":"The size of the backup, in gibibytes (GiB)","type":"integer"},"object_count":{"description":"Number of objects in the backup","type":"integer"},"container":{"nullable":true,"description":"Backup container","type":"string"},"availability_zone":{"nullable":true,"description":"The availability zone of the backup","type":"string"},"created_at":{"format":"date-time","description":"The date and time when the resource was created","type":"string"},"updated_at":{"nullable":true,"format":"date-time","description":"The date and time when the resource was updated","type":"string"},"data_timestamp":{"format":"date-time","description":"The data timestamp","type":"string"},"has_dependent_backups":{"description":"Whether the backup has dependent backups","type":"boolean"},"is_incremental":{"description":"Whether the backup is incremental","type":"boolean"},"user_id":{"format":"uuid","description":"The UUID of the user","type":"string"},"project_id":{"format":"uuid","description":"The UUID of the project","type":"string"},"encryption_key_id":{"nullable":true,"format":"uuid","description":"The UUID of the encryption key (microversion 3.64+)","type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/Link"}}}},"Link":{"type":"object","properties":{"href":{"format":"uri","type":"string"},"rel":{"type":"string"},"type":{"type":"string"}}}}},"paths":{"/v3/backups":{"post":{"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BackupCreateRequest"}}},"required":true},"tags":["backups"],"responses":{"202":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BackupResponse"}}},"description":"Accepted"}},"summary":"Create backup","description":"Creates a volume backup"}}}}
```

## Perform backup action

> Performs various actions on a backup

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"backups","description":"Volume backup management"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"schemas":{"RestoreBackupRequest":{"type":"object","properties":{"restore":{"type":"object","properties":{"volume_id":{"format":"uuid","description":"The UUID of the target volume","type":"string"},"name":{"description":"Name for new volume if creating","type":"string"}}}}},"ResetBackupStatusRequest":{"type":"object","properties":{"os-reset_status":{"required":["status"],"type":"object","properties":{"status":{"description":"The backup status","type":"string"}}}}},"ExportBackupRequest":{"type":"object","properties":{"backup-export":{"type":"object"}}},"ImportBackupRequest":{"type":"object","properties":{"backup-import":{"required":["backup_service","backup_url"],"type":"object","properties":{"backup_service":{"description":"Backup service name","type":"string"},"backup_url":{"description":"Backup URL","type":"string"}}}}}},"responses":{"Accepted":{"description":"Request is accepted, but processing may take some time"}}},"paths":{"/v3/backups/{backup_id}/action":{"post":{"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/RestoreBackupRequest"},{"$ref":"#/components/schemas/ResetBackupStatusRequest"},{"$ref":"#/components/schemas/ExportBackupRequest"},{"$ref":"#/components/schemas/ImportBackupRequest"}]}}},"required":true},"tags":["backups"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK (for export operations)"},"202":{"$ref":"#/components/responses/Accepted"}},"summary":"Perform backup action","description":"Performs various actions on a backup"}}}}
```

## List backups with details

> Lists all Block Storage backups with details

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"backups","description":"Volume backup management"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"parameters":{"AllTenantsQuery":{"name":"all_tenants","description":"Shows details for all project. Admin only.","schema":{"type":"string"},"in":"query"},"SortQuery":{"name":"sort","description":"Comma-separated list of sort keys and optional sort directions","schema":{"type":"string"},"in":"query"},"SortKeyQuery":{"name":"sort_key","description":"Sorts by an attribute","schema":{"type":"string"},"in":"query"},"SortDirQuery":{"name":"sort_dir","description":"Sorts by direction (asc or desc)","schema":{"enum":["asc","desc"],"type":"string"},"in":"query"},"LimitQuery":{"name":"limit","description":"Requests a page size of items","schema":{"minimum":1,"type":"integer"},"in":"query"},"OffsetQuery":{"name":"offset","description":"Used in conjunction with limit to return items starting from the offset position","schema":{"minimum":0,"type":"integer"},"in":"query"},"MarkerQuery":{"name":"marker","description":"The ID of the last-seen item","schema":{"type":"string"},"in":"query"},"WithCountQuery":{"name":"with_count","description":"Whether to show count in response (microversion 3.45+)","schema":{"type":"boolean"},"in":"query"}},"schemas":{"BackupsDetail":{"type":"object","properties":{"backups":{"type":"array","items":{"$ref":"#/components/schemas/Backup"}},"backups_links":{"type":"array","items":{"$ref":"#/components/schemas/Link"}},"count":{"description":"Total count of backups (microversion 3.45+)","type":"integer"}}},"Backup":{"type":"object","properties":{"id":{"format":"uuid","description":"The UUID of the backup","type":"string"},"name":{"nullable":true,"description":"The backup name","type":"string"},"description":{"nullable":true,"description":"The backup description","type":"string"},"volume_id":{"format":"uuid","description":"The UUID of the source volume","type":"string"},"snapshot_id":{"nullable":true,"format":"uuid","description":"The UUID of the source snapshot","type":"string"},"status":{"description":"The backup status","type":"string"},"size":{"description":"The size of the backup, in gibibytes (GiB)","type":"integer"},"object_count":{"description":"Number of objects in the backup","type":"integer"},"container":{"nullable":true,"description":"Backup container","type":"string"},"availability_zone":{"nullable":true,"description":"The availability zone of the backup","type":"string"},"created_at":{"format":"date-time","description":"The date and time when the resource was created","type":"string"},"updated_at":{"nullable":true,"format":"date-time","description":"The date and time when the resource was updated","type":"string"},"data_timestamp":{"format":"date-time","description":"The data timestamp","type":"string"},"has_dependent_backups":{"description":"Whether the backup has dependent backups","type":"boolean"},"is_incremental":{"description":"Whether the backup is incremental","type":"boolean"},"user_id":{"format":"uuid","description":"The UUID of the user","type":"string"},"project_id":{"format":"uuid","description":"The UUID of the project","type":"string"},"encryption_key_id":{"nullable":true,"format":"uuid","description":"The UUID of the encryption key (microversion 3.64+)","type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/Link"}}}},"Link":{"type":"object","properties":{"href":{"format":"uri","type":"string"},"rel":{"type":"string"},"type":{"type":"string"}}}}},"paths":{"/v3/backups/detail":{"get":{"tags":["backups"],"parameters":[{"$ref":"#/components/parameters/AllTenantsQuery"},{"$ref":"#/components/parameters/SortQuery"},{"$ref":"#/components/parameters/SortKeyQuery"},{"$ref":"#/components/parameters/SortDirQuery"},{"$ref":"#/components/parameters/LimitQuery"},{"$ref":"#/components/parameters/OffsetQuery"},{"$ref":"#/components/parameters/MarkerQuery"},{"$ref":"#/components/parameters/WithCountQuery"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BackupsDetail"}}},"description":"OK"}},"summary":"List backups with details","description":"Lists all Block Storage backups with details"}}}}
```

## Show backup details

> Shows details for a backup

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"backups","description":"Volume backup management"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"schemas":{"BackupResponse":{"type":"object","properties":{"backup":{"$ref":"#/components/schemas/Backup"}}},"Backup":{"type":"object","properties":{"id":{"format":"uuid","description":"The UUID of the backup","type":"string"},"name":{"nullable":true,"description":"The backup name","type":"string"},"description":{"nullable":true,"description":"The backup description","type":"string"},"volume_id":{"format":"uuid","description":"The UUID of the source volume","type":"string"},"snapshot_id":{"nullable":true,"format":"uuid","description":"The UUID of the source snapshot","type":"string"},"status":{"description":"The backup status","type":"string"},"size":{"description":"The size of the backup, in gibibytes (GiB)","type":"integer"},"object_count":{"description":"Number of objects in the backup","type":"integer"},"container":{"nullable":true,"description":"Backup container","type":"string"},"availability_zone":{"nullable":true,"description":"The availability zone of the backup","type":"string"},"created_at":{"format":"date-time","description":"The date and time when the resource was created","type":"string"},"updated_at":{"nullable":true,"format":"date-time","description":"The date and time when the resource was updated","type":"string"},"data_timestamp":{"format":"date-time","description":"The data timestamp","type":"string"},"has_dependent_backups":{"description":"Whether the backup has dependent backups","type":"boolean"},"is_incremental":{"description":"Whether the backup is incremental","type":"boolean"},"user_id":{"format":"uuid","description":"The UUID of the user","type":"string"},"project_id":{"format":"uuid","description":"The UUID of the project","type":"string"},"encryption_key_id":{"nullable":true,"format":"uuid","description":"The UUID of the encryption key (microversion 3.64+)","type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/Link"}}}},"Link":{"type":"object","properties":{"href":{"format":"uri","type":"string"},"rel":{"type":"string"},"type":{"type":"string"}}}}},"paths":{"/v3/backups/{backup_id}":{"get":{"tags":["backups"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BackupResponse"}}},"description":"OK"}},"summary":"Show backup details","description":"Shows details for a backup"}}}}
```

## Update backup

> Updates a backup

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"backups","description":"Volume backup management"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"schemas":{"BackupUpdateRequest":{"type":"object","properties":{"backup":{"type":"object","properties":{"name":{"description":"The backup name","type":"string"},"description":{"description":"The backup description","type":"string"}}}}},"BackupResponse":{"type":"object","properties":{"backup":{"$ref":"#/components/schemas/Backup"}}},"Backup":{"type":"object","properties":{"id":{"format":"uuid","description":"The UUID of the backup","type":"string"},"name":{"nullable":true,"description":"The backup name","type":"string"},"description":{"nullable":true,"description":"The backup description","type":"string"},"volume_id":{"format":"uuid","description":"The UUID of the source volume","type":"string"},"snapshot_id":{"nullable":true,"format":"uuid","description":"The UUID of the source snapshot","type":"string"},"status":{"description":"The backup status","type":"string"},"size":{"description":"The size of the backup, in gibibytes (GiB)","type":"integer"},"object_count":{"description":"Number of objects in the backup","type":"integer"},"container":{"nullable":true,"description":"Backup container","type":"string"},"availability_zone":{"nullable":true,"description":"The availability zone of the backup","type":"string"},"created_at":{"format":"date-time","description":"The date and time when the resource was created","type":"string"},"updated_at":{"nullable":true,"format":"date-time","description":"The date and time when the resource was updated","type":"string"},"data_timestamp":{"format":"date-time","description":"The data timestamp","type":"string"},"has_dependent_backups":{"description":"Whether the backup has dependent backups","type":"boolean"},"is_incremental":{"description":"Whether the backup is incremental","type":"boolean"},"user_id":{"format":"uuid","description":"The UUID of the user","type":"string"},"project_id":{"format":"uuid","description":"The UUID of the project","type":"string"},"encryption_key_id":{"nullable":true,"format":"uuid","description":"The UUID of the encryption key (microversion 3.64+)","type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/Link"}}}},"Link":{"type":"object","properties":{"href":{"format":"uri","type":"string"},"rel":{"type":"string"},"type":{"type":"string"}}}}},"paths":{"/v3/backups/{backup_id}":{"put":{"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BackupUpdateRequest"}}},"required":true},"tags":["backups"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BackupResponse"}}},"description":"OK"}},"summary":"Update backup","description":"Updates a backup"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform9.com/api-docs/block-storage-service/backups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
